#!/bin/sh
export PATH='/wrkdirs/usr/ports/devel/hs-mueval/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: mueval
version: 0.9.3
id: mueval-0.9.3-6TLDhZkkacP4boBjPMOmQ2
key: mueval-0.9.3-6TLDhZkkacP4boBjPMOmQ2
license: BSD-3-Clause
maintainer: Gwern <gwern@gwern.net>
author: Gwern
homepage: https://github.com/gwern/mueval
synopsis: Safely evaluate pure Haskell expressions
description:
    Mueval is a Haskell interpreter. It
    uses the GHC API to evaluate arbitrary Haskell expressions.
    Importantly, mueval takes many precautions to defang and avoid \"evil\"
    code.  It uses resource limits, whitelisted modules and Safe Haskell,
    special Show instances for IO, threads, processes, and changes of directory
    to sandbox the Haskell code.
    .
    It is, in short, intended to be a standalone version of Lambdabot'\''s famous
    evaluation functionality. For examples and explanations, please see the README file.
    .
    Mueval is POSIX-only.
category: Development, Language
abi: b92d4ce098d7241a180f01daf71fc110
exposed: True
exposed-modules:
    Mueval.ArgsParse Mueval.Context Mueval.Interpreter Mueval.Parallel
    Mueval.Resources
import-dirs: /usr/local/lib/cabal/ghc-8.4.3/mueval-0.9.3
library-dirs: /usr/local/lib/cabal/ghc-8.4.3/mueval-0.9.3
              /usr/local/lib
dynamic-library-dirs: /usr/local/lib/cabal/ghc-8.4.3/x86_64-freebsd-ghc-8.4.3
                      /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-8.4.3/mueval-0.9.3
hs-libraries: HSmueval-0.9.3-6TLDhZkkacP4boBjPMOmQ2
include-dirs: /usr/local/include
depends:
    Cabal-2.2.0.1 QuickCheck-2.10.0.1-36mA29Z3j1XHCNj7SMKwZe
    base-4.11.1.0 containers-0.5.11.0 directory-1.3.1.5
    extensible-exceptions-0.1.1.4-J1OT5xNWUKn5hZNwjN7aJn filepath-1.4.2
    hint-0.8.0-7169sGeHQ7Q4VczDkRUTCh mtl-2.2.2 process-1.6.3.0
    show-0.6-F75FhqaWu7i751tR7iCWnv
    simple-reflect-0.3.3-9e8eO7xcHVCKrvjL1j1Xag unix-2.7.2.2
abi-depends: Cabal-2.2.0.1=0934792efd42f4a896a3c0903dae6ad5
             QuickCheck-2.10.0.1-36mA29Z3j1XHCNj7SMKwZe=3371c49c75ee7a146511f28201605228
             base-4.11.1.0=d353a93de60ba3601dfa5501e270cfc5
             containers-0.5.11.0=d384b381e11d19983236150d9c2d8d67
             directory-1.3.1.5=2bbffb7dcb6ee6e25d353c415806225f
             extensible-exceptions-0.1.1.4-J1OT5xNWUKn5hZNwjN7aJn=bad6d8216f3724a304dcc80fb49d8538
             filepath-1.4.2=199aef3b23f4884447a6092b74bc0baf
             hint-0.8.0-7169sGeHQ7Q4VczDkRUTCh=4cfcc71be013a7d9bf2da414c1330549
             mtl-2.2.2=3cf3b316ad8e985e039ee3b498a98253
             process-1.6.3.0=024db0c305a06746a670cbf9b92583e2
             show-0.6-F75FhqaWu7i751tR7iCWnv=e69c2f7ba5e5aa165bcbbb137c358e17
             simple-reflect-0.3.3-9e8eO7xcHVCKrvjL1j1Xag=92b87d3ae3e7bd02a042be34f2bf465b
             unix-2.7.2.2=756fd47ca549d12d1875edf33404349c
haddock-interfaces: /usr/local/share/doc/cabal/ghc-8.4.3/mueval-0.9.3/html/mueval.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-8.4.3/mueval-0.9.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"

